package de.ivu.elect.business.gruppe.boundary;

import de.ivu.elect.business.gruppe.entity.GruppeArt;
import de.ivu.elect.business.gruppe.entity.PolitischeGruppe;

import javax.enterprise.inject.Specializes;

@Specializes
public class CorePolitischeGruppeFactory extends PolitischeGruppeFactory {

  private static final long serialVersionUID = 1L;

  @Override
  public void initDefaultAttributes(PolitischeGruppe entity) {
    super.initDefaultAttributes(entity);
    entity.setGruppeArt(GruppeArt.PARTEI); // ELECT-9451
  }
}
